Bug 211400 - cad/qelectrotech update to 0.5.
Summary: cad/qelectrotech update to 0.5.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Veniamin Gvozdikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-27 08:49 UTC by Gleb Popov
Modified: 2016-10-31 08:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (vg)


Attachments
Patch (453.62 KB, patch)
2016-07-27 08:49 UTC, Gleb Popov
no flags Details | Diff
qelectrotech_93amd64_20160815 (44.29 KB, text/plain)
2016-08-15 14:34 UTC, Veniamin Gvozdikov
no flags Details
Patch (453.46 KB, patch)
2016-08-15 19:22 UTC, Gleb Popov
no flags Details | Diff
Patch (453.47 KB, patch)
2016-10-16 15:04 UTC, Gleb Popov
no flags Details | Diff
Patch (453.52 KB, patch)
2016-10-23 13:04 UTC, Gleb Popov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2016-07-27 08:49:48 UTC
Created attachment 173030 [details]
Patch

Updated to 0.5, switched to Qt 5, enabled build with clang.

Done poudriere testport on 10.3-RELEASE.
Comment 1 Veniamin Gvozdikov freebsd_committer 2016-08-15 14:34:48 UTC
Created attachment 173702 [details]
qelectrotech_93amd64_20160815

Can You fix build and attach new patch?
Comment 2 Gleb Popov freebsd_committer 2016-08-15 19:22:16 UTC
Created attachment 173709 [details]
Patch

Try to fix the build on 93-release.
Comment 3 Veniamin Gvozdikov freebsd_committer 2016-08-22 13:50:57 UTC
Please update ports tree to latest:

[00:00:00] ====>> Creating the reference jail... done
[00:00:00] ====>> Mounting system devices for 93amd64-head
[00:00:01] ====>> Mounting ports/packages/distfiles
[00:00:01] ====>> Stashing existing package repository
[00:00:01] ====>> Mounting ccache from: /var/ccache
[00:00:01] ====>> Mounting packages from: /usr/local/poudriere/data/packages/93amd64-head
[00:00:01] ====>> Appending to make.conf: /usr/local/etc/poudriere.d/93amd64-make.conf
/etc/resolv.conf -> /usr/local/poudriere/data/.m/93amd64-head/ref/etc/resolv.conf
[00:00:01] ====>> Starting jail 93amd64-head
[00:00:01] ====>> Warning: (cad/qelectrotech): "/usr/ports/Mk/bsd.port.mk", line 1454: Could not find /usr/ports/Mk/Uses/c++11-lib.mk
[00:00:01] ====>> Warning: (cad/qelectrotech): make: fatal errors encountered -- cannot continue
[00:00:01] ====>> Logs: /usr/local/poudriere/data/logs/bulk/93amd64-head/2016-08-22_16h49m47s
[00:00:01] ====>> Loading MOVED
[00:00:01] ====>> Calculating ports order and dependencies
[00:00:01] ====>> Sanity checking the repository
[00:00:01] ====>> Checking packages for incremental rebuild needed
[00:00:02] ====>> Deleting stale symlinks
[00:00:02] ====>> Deleting empty directories
[00:00:02] ====>> Cleaning the build queue
[00:00:02] ====>> Recording filesystem state for prepkg... done
[00:00:03] ====>> Committing packages to repository
[00:00:03] ====>> Removing old packages
"/usr/ports/Mk/bsd.port.mk", line 1454: Could not find /usr/ports/Mk/Uses/c++11-lib.mk
make: fatal errors encountered -- cannot continue
[00:00:03] ====>> Cleaning up
[00:00:03] ====>> Umounting file systems
Comment 4 Gleb Popov freebsd_committer 2016-10-16 15:04:07 UTC
Created attachment 175822 [details]
Patch

Fix stupid mistake.
Comment 5 Jan Beich freebsd_committer 2016-10-16 15:52:56 UTC
Comment on attachment 175822 [details]
Patch

> -USES=		desktop-file-utils qmake shared-mime-info
> +USES=		desktop-file-utils qmake shared-mime-info compiler:c++11-lib

Don't break alphabetic sorting.

> +USE_QT5=	buildtools gui network printsupport \

Do you need USE_QT5=buildtools as RUN_DEPENDS. If not append _build suffix, see Mk/bsd.qt.mk.

> +.if !defined(WITH_DEBUG)
> +ALL_TARGET=	release-all
> +.else
> +ALL_TARGET=	debug-all
> +.endif

Better define as a real option e.g.,

  OPTIONS_DEFINE=	DEBUG

  DEBUG_ALL_TARGET=	debug-all
  DEBUG_ALL_TARGET_OFF=	release-all

or  

  ALL_TARGET=		${BUILD_TYPE}-all

  OPTIONS_DEFINE=	DEBUG

  DEBUG_VARS=		BUILD_TYPE=debug
  DEBUG_VARS_OFF=	BUILD_TYPE=release
 
> -INSTALLS_ICONS=	yes
> +INSTALLS_ICONS=	yes

Actually, Qt consumers can drop the line per ports r390886.
Comment 6 Gleb Popov freebsd_committer 2016-10-23 13:04:47 UTC
Created attachment 176084 [details]
Patch

Address comments.
Comment 7 commit-hook freebsd_committer 2016-10-31 08:21:25 UTC
A commit references this bug:

Author: vg
Date: Mon Oct 31 08:21:19 UTC 2016
New revision: 424985
URL: https://svnweb.freebsd.org/changeset/ports/424985

Log:
  - Update to 0.5

  PR:		ports/211400
  Submitted by:	6yearold@gmail.com

Changes:
  head/cad/qelectrotech/Makefile
  head/cad/qelectrotech/distinfo
  head/cad/qelectrotech/files/
  head/cad/qelectrotech/pkg-plist
Comment 8 Veniamin Gvozdikov freebsd_committer 2016-10-31 08:24:47 UTC
Committed, thank you!